<style>
  .ruleSetup .el-tabs__header{
    padding: 0 20px;height: 56px;line-height: 56px; background-color: #fff;margin-bottom: 0;
  }
</style>
<template>
  <div class="ruleSetup">
    <el-tabs v-model="activeName" @tab-click="handleClick" >
      <el-tab-pane label="物流设置" name="first">

        <vlogistics></vlogistics>

      </el-tab-pane>
      <el-tab-pane label="运费规则" name="second">

        <freight @AddRule="AddRule"></freight>

      </el-tab-pane>
      <el-tab-pane label="包邮规则" name="third">包邮规则</el-tab-pane>
      <el-tab-pane label="起送规则" name="fourth">起送规则</el-tab-pane>
    </el-tabs>
  </div>
</template>

<script>
  import vlogistics from './view/logistics';
  import freight from './view/freight';

    export default {
        name: "ruleSetup",

      data(){
          return{
            activeName: 'first'
          }
      },
      created(){
        if(this.$route.query.activeName){
          this.activeName = this.$route.query.activeName
        }
      },
      components:{
        vlogistics,
        freight
      },
      methods: {
        handleClick(tab, event) {
          // console.log(tab, event);
        },
        AddRule(){
          this.$router.push('/addFreightRule');
        }
      }
    }
</script>

<style scoped>

</style>
